import axios from 'axios';
axios.create({ withCredentials: true, })

const url = 'http://localhost:5000/api/projects/'

class ProjectService {
  static listProjects() {
    return new Promise(async (resolve,reject) => {
      var result = await axios.get(url+"list", {withCredentials: true});
      try {
        resolve(
          result.data
        )
      } catch (e) {
        reject(e)
      }
    })
  }
}

export default ProjectService;
