import Vue from 'vue'
import './plugins/vuetify'
import BootstrapVue from 'bootstrap-vue'
import Vuetify from 'vuetify'
import App from './App.vue'
import moment from 'moment'
const cors = require('cors')
import axios from 'axios';
axios.create({ withCredentials: true, })

import { library } from '@fortawesome/fontawesome-svg-core'

import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

import VueSession from 'vue-session'
Vue.use(VueSession)

Vue.config.productionTip = false




import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI)

import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'
Vue.use(BootstrapVue);
Vue.use(Vuetify)

Vue.use(require('vue-moment'));

// import ToggleSwitch from 'vuejs-toggle-switch'
// Vue.use(ToggleSwitch)
//
import ToggleButton from 'vue-js-toggle-button'
Vue.use(ToggleButton)




//
// import vSelectMenu from 'v-selectmenu';
// Vue.use(vSelectMenu, {});

// import VueSidebarMenu from 'vue-sidebar-menu'
// Vue.use(VueSidebarMenu)

import { Slide } from 'vue-burger-menu'
Vue.component('Slide', Slide)


// import { faFolder, faFile, faFileAlt } from '@fortawesome/free-regular-svg-icons'
// import { faAngleDoubleLeft, faCheck, faTimes, faQuestion, faEye, faLowVision } from '@fortawesome/free-solid-svg-icons'
// const icons = { faBars, faFolder, faFile, faFileAlt, faAngleDoubleLeft, faCheck, faTimes, faQuestion, faEye, faLowVision };
// import { faBars, faFolder, faFile, faFileAlt, faAngleDoubleLeft, faCheck, faTimes, faQuestion, faEye, faLowVision } from '@fortawesome/free-solid-svg-icons'
// library.add({ faBars, faFolder, faFile, faFileAlt, faAngleDoubleLeft, faCheck, faTimes, faQuestion, faEye, faLowVision })
// import { library } from '@fortawesome/fontawesome-svg-core'
import { fas } from '@fortawesome/free-solid-svg-icons'
import { far } from '@fortawesome/free-regular-svg-icons'
library.add(fas, far)
Vue.component('font-awesome-icon', FontAwesomeIcon)


// import "vue-material-design-icons/styles.css"
// import {MenuIcon} from "vue-material-design-icons/Action.vue"
// import {Visibility, VisibilityOff} from "vue-material-design-icons/Action.vue"

// Vue.component("ma-menu-icon", MenuIcon)
// Vue.component("ma-visibility", Visibility)
// Vue.component("ma-visibility-off", VisibilityOff)

import VueMaterial from 'vue-material'
import 'vue-material/dist/vue-material.css'
Vue.use(VueMaterial)



var VueScrollTo = require('vue-scrollto');
Vue.use(VueScrollTo)



new Vue({
  render: h => h(App),
}).$mount('#app')



Vue.filter('prettyBytes', function (num) {
  // jacked from: https://github.com/sindresorhus/pretty-bytes
  if (typeof num !== 'number' || isNaN(num)) {
    throw new TypeError('Expected a number');
  }

  var exponent;
  var unit;
  var neg = num < 0;
  var units = ['B', 'kB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];

  if (neg) {
    num = -num;
  }

  if (num < 1) {
    return (neg ? '-' : '') + num + ' B';
  }

  exponent = Math.min(Math.floor(Math.log(num) / Math.log(1000)), units.length - 1);
  num = (num / Math.pow(1000, exponent)).toFixed(2) * 1;
  unit = units[exponent];

  return (neg ? '-' : '') + num + ' ' + unit;
});

Vue.filter('formatDate', function (value) {
  if (value) {
    return moment(String(value)).format('ddd, DD/MM/YYYY HH:mm')
  }
});

document.title = 'sweetData';
